<template>
  <div
    :class="appMainClass"
  >
    <div
      class="row"
      style="min-height: 90vh"
    >
      <Loader />
      <router-view />
    </div>
    <Footer v-if="$route.path!=='/tableau-de-bord'" />
  </div>
</template>

<script>
import Loader from './components/Layout/Loader'
import Footer from './components/Layout/Footer'
export default {
  name: 'App',
  components: {Footer, Loader},
  computed: {
    appMainClass() {
      return (this.$route.path!=='/tableau-de-bord' && this.$route.name!=='login') ? "container dsnp-container" : "container-fluid dsnp-container"
    }
  }
}
</script>

<style>
body {
  font-family: 'Titillium Web', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.row {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

.dsnp-container {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.toasts-top-right{
  top: 50px;
  right: 0;
}

h1 {
  color: #3b6ab3;
  margin-bottom: 50px;
}

h2 {
  color: #3b6ab3;
  margin: 25px 0 25px 0;
}

.form-control[readonly].alert-danger {
  background-color: #f2dede;
  outline: none;
}

/* Bootstrap hack to support single child input-group */
.input-group {
  display: flex;
}

.input-group-addon,
.input-group-btn,
.input-group .form-control {
  display: block;
}

.input-group-addon,
.input-group-btn {
  width: auto;
}

.input-group .form-control:only-child {
  border-radius: 4px;
}


.logo {
  text-align: right;
}

.pre {
  white-space: pre-line;
}

.fa.disabled {
  position: relative;
}

.fa.disabled:after {
  content: "\f00d";
  color: #e65245;
  position: absolute;
  bottom: -7px;
  right: -3px;
}

.btn-back {
  float: left;
  padding: 6px 8px;
  margin-left: 0;
  margin-right: 10px;
}

.thumbnails {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
}

.thumbnails a:hover {
  text-decoration: none;
}

.thumbnails > .break {
  flex-basis: 100%;
  height: 0;
}

.thumbnail {
  border-color: rgba(88, 186, 212, 1);
  color: #3b6ab3;
  min-height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.thumbnail:hover {
  background-color: rgba(88, 186, 212, .2);
}

.thumbnail > .icon {
  text-align: center;
  padding: 9px;
}
.thumbnail > .caption > h3 {
  color: #3b6ab3;
  text-align: center;
  margin-top: 0;
  margin-bottom: 0;
}

.form-group.btn-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.form-group.btn-list > .btn {
  flex: 0 0 25%;
  margin: 5px 10px;
}


.list-form .row {
  border-bottom: solid 1px #ddd;
  padding-top: 10px;
  padding-bottom: 10px;
}

.list-form .row.header-row {
  padding-top: 15px;
  padding-bottom: 5px;
  color: #888;
  font-weight: bold;
}

.list-form .row.h1-row {
  background-color: rgba(68,146,210,.6);
  border-color: #4492d2;
}

.list-form .row.h2-row {
  background-color: #ddd;
  border-color: #ccc
}

.list-form .row.h2-row > div {
  padding-left: 30px;
}
.list-form .row.h3-row > div {
  padding-left: 45px;
}

.list-form .row.h1-row .tree-btn,
.list-form .row.h2-row .tree-btn {
  float: left;
  width: 30px;
}

.list-form .collapse-toggle,
.list-form .collapse-toggle label {
  cursor: pointer;
}

.list-form .row.pagination-row {
  border-bottom-width: 0;
  margin-right: -30px;
  margin-left: -30px;
}

.list-form .row.pagination-row .row.pagination-row {
  padding: 0;
}


.list-form .row.noborder {
  border-bottom-width: 0;
}

.list-form .row.footer-row {
  border-bottom-width: 0;
}

.list-form .row .form-group {
  margin-left: 0;
  margin-right: 0;
  margin-bottom: 0;
}

.list-form .row .form-group > label{
  padding-top: 7px;
}

.list-form .row .form-group > span {
  display: inline-block;
  padding-top: 7px;
}

.list-form .row .form-actions {
  display: flex;
  justify-content: flex-end;
}

.list-form .row.header-row .form-actions {
  margin-top: -15px;
}

.list-form .row .form-actions .btn {
  margin-left: 10px;
  padding: 6px 7px;
}

.list-form .has-exception:after {
  display: inline-block;
  content: "\f06a"; /*"\f12a";*/
  font: normal normal normal 14px/1 FontAwesome;
  width: 20px;
  height: 20px;
  margin-left: 5px;
  text-align: center;
  color: #e65245;
}

.list-selection {
  margin-left: 8.33333333%;
}

.list-selection .checkbox {
  margin-top: 0;
}

.list-selection .category {
  margin-top: 5px;
  margin-bottom: 5px;
}

.list-selection .category:first-child {
  margin-top: 0;
}
.form-group.required > label:before {
  content:"* ";
  color:red;
}

/* Element ui override */
.el-table .cell {
  word-break: break-word !important;
}
.el-table thead {
  color: black !important;
}
.el-table--fit {
  border-right: 1px solid #ddd !important;
  border-bottom: 1px solid #ddd !important;
}
.el-table__body, .el-table__footer, .el-table__header {
  table-layout: auto !important;
}
.el-table--border::after, .el-table--group::after, .el-table::before {
  z-index: -1 !important;
}
.el-tabs__nav {
  z-index: 1 !important;
}

.el-transfer-panel {
  width: 40% !important;
}
</style>